Index: runtime/resources/nntp/CMakeLists.txt
===================================================================
--- runtime/resources/nntp/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/nntp/CMakeLists.txt	(Arbeitskopie)
@@ -24,6 +24,13 @@
 kde4_add_kcfg_files(nntpresource_SRCS settingsbase.kcfgc)
 kde4_add_executable(akonadi_nntp_resource ${nntpresource_SRCS})
 
+
+if (Q_WS_MAC)
+  set_target_properties(akonadi_nntp_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_nntp_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.NNTP")
+  set_target_properties(akonadi_nntp_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi NNTP Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_nntp_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS} ${QT_QTCORE_LIBRARY})
 
 install(TARGETS akonadi_nntp_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/pop3/CMakeLists.txt
===================================================================
--- runtime/resources/pop3/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/pop3/CMakeLists.txt	(Arbeitskopie)
@@ -45,6 +45,13 @@
 
 kde4_add_executable(akonadi_pop3_resource RUN_UNINSTALLED ${pop3resource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_pop3_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_pop3_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.POP3")
+  set_target_properties(akonadi_pop3_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi POP3 Resource")
+endif (Q_WS_MAC)
+
+
 target_link_libraries( akonadi_pop3_resource
   ${KDEPIMLIBS_AKONADI_LIBS}
   ${KDEPIMLIBS_AKONADI_KMIME_LIBS}
Index: runtime/resources/knut/CMakeLists.txt
===================================================================
--- runtime/resources/knut/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/knut/CMakeLists.txt	(Arbeitskopie)
@@ -15,6 +15,12 @@
 
 kde4_add_executable(akonadi_knut_resource ${knutresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_knut_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_knut_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Knut")
+  set_target_properties(akonadi_knut_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Knut Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_knut_resource
   akonadi-xml
   ${KDE4_KIO_LIBS}
Index: runtime/resources/maildir/CMakeLists.txt
===================================================================
--- runtime/resources/maildir/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/maildir/CMakeLists.txt	(Arbeitskopie)
@@ -36,6 +36,12 @@
 
 kde4_add_executable(akonadi_maildir_resource ${maildirresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_maildir_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_maildir_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Maildir")
+  set_target_properties(akonadi_maildir_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Maildir Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_maildir_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} maildir ${QT_QTDBUS_LIBRARY} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS})
 
 install(TARGETS akonadi_maildir_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/akonotes/CMakeLists.txt
===================================================================
--- runtime/resources/akonotes/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/akonotes/CMakeLists.txt	(Arbeitskopie)
@@ -35,6 +35,12 @@
 
 kde4_add_executable(akonadi_akonotes_resource ${akonotesresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_akonotes_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_akonotes_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Akonotes")
+  set_target_properties(akonadi_akonotes_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Akonotes Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_akonotes_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} maildir ${QT_QTDBUS_LIBRARY} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS})
 
 install(TARGETS akonadi_akonotes_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/imap/CMakeLists.txt
===================================================================
--- runtime/resources/imap/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/imap/CMakeLists.txt	(Arbeitskopie)
@@ -41,6 +41,12 @@
 kde4_add_kcfg_files(imapresource_SRCS settingsbase.kcfgc)
 kde4_add_executable(akonadi_imap_resource ${imapresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Imap")
+  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi IMAP Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_imap_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDEPIMLIBS_KIMAP_LIBS} ${KDEPIMLIBS_MAILTRANSPORT_LIBS} ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${KDEPIMLIBS_KPIMIDENTITIES_LIBRARY} kdepim-copy)
 
 install(TARGETS akonadi_imap_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/birthdays/CMakeLists.txt
===================================================================
--- runtime/resources/birthdays/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/birthdays/CMakeLists.txt	(Arbeitskopie)
@@ -15,6 +15,12 @@
 )
 kde4_add_executable(akonadi_birthdays_resource ${birthdayresource_srcs})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Birthdays")
+  set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Birthdays Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_birthdays_resource
   ${KDE4_KIO_LIBS}
   ${KDEPIMLIBS_AKONADI_LIBS}
Index: runtime/resources/kolabproxy/CMakeLists.txt
===================================================================
--- runtime/resources/kolabproxy/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/kolabproxy/CMakeLists.txt	(Arbeitskopie)
@@ -47,6 +47,12 @@
 
 kde4_add_executable(akonadi_kolabproxy_resource ${kolabproxyresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_kolabproxy_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_kolabproxy_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.kolabproxy")
+  set_target_properties(akonadi_kolabproxy_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Kolabproxy Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_kolabproxy_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_AKONADI_KCAL_LIBS} ${KDEPIMLIBS_KCAL_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${KDEPIMLIBS_KMIME_LIBS} kdepim-copy)
 
 install(TARGETS akonadi_kolabproxy_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/vcarddir/CMakeLists.txt
===================================================================
--- runtime/resources/vcarddir/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/vcarddir/CMakeLists.txt	(Arbeitskopie)
@@ -23,6 +23,14 @@
 install( FILES vcarddirresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )
 
 kde4_add_executable(akonadi_vcarddir_resource ${vcarddirresource_SRCS})
+
+if (Q_WS_MAC)
+  set_target_properties(akonadi_vcarddir_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_vcarddir_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.VCardDirectory")
+  set_target_properties(akonadi_vcarddir_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi VCardDirectory Resource")
+endif (Q_WS_MAC)
+
+
 target_link_libraries(akonadi_vcarddir_resource
   ${KDEPIMLIBS_AKONADI_LIBS}
   ${QT_QTCORE_LIBRARY}
Index: runtime/resources/Info.plist.template
===================================================================
--- runtime/resources/Info.plist.template	(Revision 0)
+++ runtime/resources/Info.plist.template	(Revision 0)
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+<plist version="1.0">
+<dict>
+    <key>CFBundleDevelopmentRegion</key>
+    <string>English</string>
+    <key>CFBundleExecutable</key>
+    <string>${MACOSX_BUNDLE_EXECUTABLE_NAME}</string>
+    <key>CFBundleGetInfoString</key>
+    <string>${MACOSX_BUNDLE_INFO_STRING}</string>
+    <key>CFBundleIconFile</key>
+    <string>${MACOSX_BUNDLE_ICON_FILE}</string>
+    <key>CFBundleIdentifier</key>
+    <string>${MACOSX_BUNDLE_GUI_IDENTIFIER}</string>
+    <key>CFBundleInfoDictionaryVersion</key>
+    <string>6.0</string>
+    <key>CFBundleLongVersionString</key>
+    <string>${MACOSX_BUNDLE_LONG_VERSION_STRING}</string>
+    <key>CFBundleName</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_NAME}</string>
+    <key>CFBundlePackageType</key>
+    <string>APPL</string>
+    <key>CFBundleShortVersionString</key>
+    <string>${MACOSX_BUNDLE_SHORT_VERSION_STRING}</string>
+    <key>CFBundleVersion</key>
+    <string>${MACOSX_BUNDLE_BUNDLE_VERSION}</string>
+    <key>CSResourcesFileMapped</key>
+    <true/>
+    <key>LSRequiresCarbon</key>
+    <true/>
+    <key>LSUIElement</key>
+    <string>1</string>
+    <key>NSHumanReadableCopyright</key>
+    <string>${MACOSX_BUNDLE_COPYRIGHT}</string>
+</dict>
+</plist>
Index: runtime/resources/vcard/CMakeLists.txt
===================================================================
--- runtime/resources/vcard/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/vcard/CMakeLists.txt	(Arbeitskopie)
@@ -24,6 +24,12 @@
 
 kde4_add_executable(akonadi_vcard_resource ${vcardresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_vcard_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_vcard_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.VCard")
+  set_target_properties(akonadi_vcard_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi VCard Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_vcard_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDE4_KIO_LIBS})
 
 install(TARGETS akonadi_vcard_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/openxchange/CMakeLists.txt
===================================================================
--- runtime/resources/openxchange/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/openxchange/CMakeLists.txt	(Arbeitskopie)
@@ -45,6 +45,13 @@
 
 kde4_add_executable(akonadi_openxchange_resource RUN_UNINSTALLED ${openxchangeresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_openxchange_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_openxchange_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.OpenXchange")
+  set_target_properties(akonadi_openxchange_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi OpenXchange Resource")
+endif (Q_WS_MAC)
+
+
 target_link_libraries(akonadi_openxchange_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KCAL_LIBS} ${KDE4_AKONADI_CONTACT_LIBS} ${KDE4_AKONADI_KCAL_LIBS} )
 
 install(TARGETS akonadi_openxchange_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/kabc/CMakeLists.txt
===================================================================
--- runtime/resources/kabc/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/kabc/CMakeLists.txt	(Arbeitskopie)
@@ -22,6 +22,12 @@
 
 kde4_add_executable(akonadi_kabc_resource ${kabcresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_kabc_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_kabc_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.KABC")
+  set_target_properties(akonadi_kabc_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi KABC Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_kabc_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDE4_KIO_LIBS})
 
 install(TARGETS akonadi_kabc_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/kdeaccounts/CMakeLists.txt
===================================================================
--- runtime/resources/kdeaccounts/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/kdeaccounts/CMakeLists.txt	(Arbeitskopie)
@@ -23,6 +23,12 @@
 
 kde4_add_executable(akonadi_kdeaccounts_resource ${kdeaccountsresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_kdeaccounts_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_kdeaccounts_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.KDEAccounts")
+  set_target_properties(akonadi_kdeaccounts_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi KDEAccounts Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_kdeaccounts_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDE4_KIO_LIBS})
 
 install(TARGETS akonadi_kdeaccounts_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/localbookmarks/CMakeLists.txt
===================================================================
--- runtime/resources/localbookmarks/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/localbookmarks/CMakeLists.txt	(Arbeitskopie)
@@ -24,6 +24,12 @@
 
 kde4_add_executable(akonadi_localbookmarks_resource ${localbookmarksresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_localbookmarks_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_localbookmarks_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.LocalBookmarks")
+  set_target_properties(akonadi_localbookmarks_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi LocalBookmarks Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_localbookmarks_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTDBUS_LIBRARY} ${KDEPIMLIBS_KCAL_LIBS} ${KDE4_KIO_LIBS})
 
 install(TARGETS akonadi_localbookmarks_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/mbox/CMakeLists.txt
===================================================================
--- runtime/resources/mbox/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/mbox/CMakeLists.txt	(Arbeitskopie)
@@ -36,6 +36,12 @@
 
 kde4_add_executable(akonadi_mbox_resource ${mboxresource_SRCS})
 
+if (Q_WS_MAC)    
+  set_target_properties(akonadi_mbox_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_mbox_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Mbox")
+  set_target_properties(akonadi_mbox_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Mbox Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_mbox_resource mbox ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${QT_QTDBUS_LIBRARY} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS})
 
 install(TARGETS akonadi_mbox_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/openchange/CMakeLists.txt
===================================================================
--- runtime/resources/openchange/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/openchange/CMakeLists.txt	(Arbeitskopie)
@@ -21,6 +21,12 @@
 
 kde4_add_executable(akonadi_oc_resource ${ocresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_oc_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_oc_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.OpenChange")
+  set_target_properties(akonadi_oc_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi OpenChange Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_oc_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTDBUS_LIBRARY} ${LIBMAPI_LIBRARIES} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDEPIMLIBS_KCAL_LIBS})
 
 install(TARGETS akonadi_oc_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/ical/CMakeLists.txt
===================================================================
--- runtime/resources/ical/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/ical/CMakeLists.txt	(Arbeitskopie)
@@ -29,6 +29,12 @@
 
 kde4_add_executable(akonadi_ical_resource ${icalresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.ICal")
+  set_target_properties(akonadi_ical_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi ICal Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_ical_resource ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KCAL_LIBS} ${QT_QTDBUS_LIBRARY} ${KDEPIMLIBS_KCAL_LIBS} ${KDE4_KIO_LIBS})
 
 install(TARGETS akonadi_ical_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/mixedmaildir/CMakeLists.txt
===================================================================
--- runtime/resources/mixedmaildir/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/mixedmaildir/CMakeLists.txt	(Arbeitskopie)
@@ -39,6 +39,12 @@
 
 kde4_add_executable(akonadi_mixedmaildir_resource ${mixedmaildirresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.MixedMaildir")
+  set_target_properties(akonadi_mixedmaildir_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi MixedMaildir Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_mixedmaildir_resource
   kmindexreader
   maildir
Index: runtime/resources/dav/resource/CMakeLists.txt
===================================================================
--- runtime/resources/dav/resource/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/dav/resource/CMakeLists.txt	(Arbeitskopie)
@@ -83,6 +83,12 @@
 
 kde4_add_executable(akonadi_davgroupware_resource RUN_UNINSTALLED ${davgroupwareresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_davgroupware_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_davgroupware_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.davGroupware")
+  set_target_properties(akonadi_davgroupware_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi davGroupware Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_davgroupware_resource
                       ${QT_QTCORE_LIBRARY}
                       ${QT_QTDBUS_LIBRARY}
Index: runtime/resources/nepomuktag/CMakeLists.txt
===================================================================
--- runtime/resources/nepomuktag/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/nepomuktag/CMakeLists.txt	(Arbeitskopie)
@@ -15,6 +15,12 @@
      )
 kde4_add_executable(akonadi_nepomuktag_resource ${nepomuktagresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_nepomuktag_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_nepomuktag_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.NepomukTag")
+  set_target_properties(akonadi_nepomuktag_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi NepomukTag Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_nepomuktag_resource
   ${KDE4_KDECORE_LIBS}
   ${KDE4_KDEUI_LIBS}
Index: runtime/resources/microblog/CMakeLists.txt
===================================================================
--- runtime/resources/microblog/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/microblog/CMakeLists.txt	(Arbeitskopie)
@@ -21,6 +21,12 @@
 kde4_add_kcfg_files(microblogresource_SRCS settingsbase.kcfgc)
 kde4_add_executable(akonadi_microblog_resource ${microblogresource_SRCS})
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_microblog_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_microblog_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Microblog")
+  set_target_properties(akonadi_microblog_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Microblog Resource")
+endif (Q_WS_MAC)
+
 target_link_libraries(akonadi_microblog_resource ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${KDEPIMLIBS_KPIMUTILS_LIBS} ${KDEPIMLIBS_MICROBLOG_LIBS})
 
 install(TARGETS akonadi_microblog_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
Index: runtime/resources/contacts/CMakeLists.txt
===================================================================
--- runtime/resources/contacts/CMakeLists.txt	(Revision 1133862)
+++ runtime/resources/contacts/CMakeLists.txt	(Arbeitskopie)
@@ -31,4 +31,10 @@
   ${KDE4_KIO_LIBS}
 )
 
+if (Q_WS_MAC)
+  set_target_properties(akonadi_contacts_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
+  set_target_properties(akonadi_contacts_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Contacts")
+  set_target_properties(akonadi_contacts_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Contacts Resource")
+endif (Q_WS_MAC)
+
 install(TARGETS akonadi_contacts_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
